From: [email-masked]
Date: Tue, 28 Sep 93 20:42:22 CDT

Hi, netters:

It will be appreciated if the following questions could be responded.

1. Is the "EC6" a new category especially for CSPA 1992? I found FB 
1-4 and EB 1-5 only so far.

2. Some netters reported both of principals and their LADs got their
temporary GCs. Are there more cases like this happened in other INS
local Centers, especially in Milwaukee?

3. Several netters reported they got temporary GCs from the local INS
Centers before the 14 days from the date of their approval. Could you
provide the situation about this in INS Milwaukee Center?  If so, 
could I bring my LADs' passports and I-94s there instead of themselves?

4. The approval notice asked me to bring "evidence of identity" to the
local INS Center for final processing. Does that mean passport, I-94, 
driver licence, birth certification, photoes, SSN card, etc.?

My E-mail address is: [email-masked]

Good lucky to all!